Bug 123017 - Web Inspector: Make WebKitEFL port work with chromedevtools
Summary: Web Inspector: Make WebKitEFL port work with chromedevtools
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-10-18 05:50 PDT by Tibor Mészáros
Modified: 2013-10-23 17:04 PDT (History)
9 users (show)

See Also:


Attachments
patch (2.25 KB, patch)
2013-10-18 05:52 PDT, Tibor Mészáros
no flags Details | Formatted Diff | Diff
patch v2 (2.23 KB, patch)
2013-10-18 06:00 PDT, Tibor Mészáros
no flags Details | Formatted Diff | Diff
patch v3 (2.21 KB, patch)
2013-10-18 06:06 PDT, Tibor Mészáros
no flags Details | Formatted Diff | Diff
patch v4 (2.64 KB, patch)
2013-10-18 06:26 PDT, Tibor Mészáros
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tibor Mészáros 2013-10-18 05:50:20 PDT
The Web Inspector Server should support chrome dev tools. It is only a JSON format extension in UIProcess/InspectorServer/efl/WebInspectorServerEfl.cpp
Comment 1 Radar WebKit Bug Importer 2013-10-18 05:50:52 PDT
<rdar://problem/15261686>
Comment 2 Tibor Mészáros 2013-10-18 05:52:28 PDT
Created attachment 214560 [details]
patch
Comment 3 Peter Gal 2013-10-18 05:58:04 PDT
Comment on attachment 214560 [details]
patch

fix the description & type of the attachment
Comment 4 Tibor Mészáros 2013-10-18 06:00:55 PDT
Created attachment 214561 [details]
patch v2
Comment 5 Tibor Mészáros 2013-10-18 06:01:40 PDT
Comment on attachment 214561 [details]
patch v2

fixed changelog
Comment 6 Tibor Mészáros 2013-10-18 06:06:43 PDT
Created attachment 214563 [details]
patch v3
Comment 7 Tibor Mészáros 2013-10-18 06:09:16 PDT
Comment on attachment 214563 [details]
patch v3

fixed changelog again
Comment 8 Tibor Mészáros 2013-10-18 06:26:39 PDT
Created attachment 214565 [details]
patch v4

new diff+changelog
Comment 9 Tibor Mészáros 2013-10-18 06:27:00 PDT
Comment on attachment 214565 [details]
patch v4

new diff+changelog
Comment 10 Csaba Osztrogonác 2013-10-21 03:55:26 PDT
GTK did same things in http://trac.webkit.org/changeset/156555 .
Comment 11 Gustavo Noronha (kov) 2013-10-23 16:39:34 PDT
Comment on attachment 214565 [details]
patch v4

Would be great to share that code!
Comment 12 WebKit Commit Bot 2013-10-23 17:04:20 PDT
Comment on attachment 214565 [details]
patch v4

Clearing flags on attachment: 214565

Committed r157901: <http://trac.webkit.org/changeset/157901>
Comment 13 WebKit Commit Bot 2013-10-23 17:04:24 PDT
All reviewed patches have been landed.  Closing bug.